Skip to main content
`Ctrl`+`K`

# DatasetOrigin

class astropy.io.votable.dataorigin.DatasetOrigin(votable_element=None)

  Bases: `object`

  Data class storing the basic provenance for a Dataset.

  Attributes:
    data_ivoid `python:list`

      IVOID of underlying data collection (default: None)

    citation `python:list`

      Dataset identifier that can be used for citation (default: None)

    reference_url `python:list`

      Dataset landing page (default: None)

    resource_version `python:list`

      Dataset version (default: None)

    rights_uri `python:list`

      Licence URI (default: None)

    rights `python:list`

      Licence or Copyright text (default: None)

    creator `python:list`

      The person(s) mainly involved in the creation of the resource (default: None)

    journal `python:list`

      Editor name of the reference article (default: None)

    article `python:list`

      Bibcode or DOI of a reference article (default: None)

    cites `python:list`

      An Identifier (ivoid, DOI, bibcode) of second resource (default: None)

    is_derived_from `python:list`

      An Identifier (ivoid, DOI, bibcode) of second resource (default: None)

    original_date `python:list`

      Date of the original resource from which the present resource is derived (default: None)

    publication_date `python:list`

      Date of first publication in the data centre (default: None)

    last_update_date `python:list`

      Last data centre update (default: None)

    infos `python:list`[`astropy.io.votable.tree.Info`]

      list of `<INFO>` used by DataOrigin (default: None)

  Notes

  DatasetOrigin is dedicated to a specific Element in a VOTable. These `<INFO>` Elements describe a Resource, a TableElement or are Global.

  Constructor

  Parameters:
    votable_element: astropy.io.votable.tree.Element, optional

      indicates the VOTable element

  Attributes Summary

  `editor` |
  `ivoid` |

  Methods Summary

  `get_votable_element`() | Get the VOTable element
  `is_empty`() | check if DataOrigin is filled

  Attributes Documentation

  editor

    Deprecated since version 8.0: The editor function is deprecated and may be removed in a future version. Use journal instead.

    Compatibility with previous version (renamed to `journal`).

  ivoid

    Deprecated since version 8.0: The ivoid function is deprecated and may be removed in a future version. Use data_ivoid instead.

    Compatibility with previous version (renamed to `data_ivoid`).

  Methods Documentation

  get_votable_element()

    Get the VOTable element

    Returns:
      `astropy.io.votable.tree.Element`
  is_empty()

    check if DataOrigin is filled

    Returns:
      bool